## org.eclipse.jet.xpath.inspector
Class INodeInspector.NodeKind

    java.lang.Object
      org.eclipse.jet.xpath.inspector.INodeInspector.NodeKind

Enclosing interface:
  INodeInspector

    public static final class INodeInspector.NodeKind

extends java.lang.Object

A type safe enumeration of node kinds recognized by the JET XPath engine.

Field Summary
`static INodeInspector.NodeKind` `ATTRIBUTE` A node that is an attribute of an element node.
`static INodeInspector.NodeKind` `COMMENT` A node that contains a document comment, and is contained by either a root node or an element node.
`static INodeInspector.NodeKind` `ELEMENT` A node that is the element of a document.
`static INodeInspector.NodeKind` `NAMESPACE` A node that is identifies a namespace for an element node.
`static INodeInspector.NodeKind` `PROCESSING_INSTRUCTION` A node that contains processing instructions, and is contained by a root node or and element node.
`static INodeInspector.NodeKind` `ROOT` A node that is the root of a document.
`static INodeInspector.NodeKind` `TEXT` A node that contains textual information, which in turn is contained by an element node.

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ROOT

    public static final INodeInspector.NodeKind ROOT

  A node that is the root of a document. See the XPath 1.0 Data Model Root Node.

### ELEMENT

    public static final INodeInspector.NodeKind ELEMENT

  A node that is the element of a document. See the XPath 1.0 Data Model Element Nodes.

### ATTRIBUTE

    public static final INodeInspector.NodeKind ATTRIBUTE

  A node that is an attribute of an element node. See the XPath 1.0 Data Model Attribute Nodes.

### NAMESPACE

    public static final INodeInspector.NodeKind NAMESPACE

  A node that is identifies a namespace for an element node. See the XPath 1.0 Data Model Namespace Nodes.

### TEXT

    public static final INodeInspector.NodeKind TEXT

  A node that contains textual information, which in turn is contained by an element node. See XPath 1.0 Data Model Text Nodes

### PROCESSING_INSTRUCTION

    public static final INodeInspector.NodeKind PROCESSING_INSTRUCTION

  A node that contains processing instructions, and is contained by a root node or and element node. See XPath 1.0 Data model Processing Instruction Nodes

### COMMENT

    public static final INodeInspector.NodeKind COMMENT

  A node that contains a document comment, and is contained by either a root node or an element node. See XPath 1.0 Data model Comment Nodes.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2006 IBM Corporation and others. All Rights Reserved.